orm

## Class Curso

- java.lang.Object
- - orm.Curso

    public class Curso
    extends java.lang.Object

### Field Summary

Fields
`AsignaturaSetCollection` `asignatura`
`EstudianteSetCollection` `estudiante`

### Constructor Summary

Constructors
Constructor and Description
`Curso()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Colegio` `getColegio_id_fk()`
`int` `getId_pk()`
`java.lang.String` `getLetra()`
`java.lang.Integer` `getNivel()`
`int` `getORMID()`
`void` `setColegio_id_fk(Colegio value)`
`void` `setLetra(java.lang.String value)`
`void` `setNivel(int value)`
`void` `setNivel(java.lang.Integer value)`
`void` `setORM_Colegio_id_fk(Colegio value)` This method is for internal use only.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### asignatura

    public final AsignaturaSetCollection asignatura

#### estudiante

    public final EstudianteSetCollection estudiante

### Constructor Detail

#### Curso

    public Curso()

### Method Detail

#### getId_pk

    public int getId_pk()

#### getORMID

    public int getORMID()

#### setNivel

    public void setNivel(int value)

#### getNivel

    public java.lang.Integer getNivel()

#### setNivel

    public void setNivel(java.lang.Integer value)

#### getLetra

    public java.lang.String getLetra()

#### setLetra

    public void setLetra(java.lang.String value)

#### getColegio_id_fk

    public Colegio getColegio_id_fk()

#### setColegio_id_fk

    public void setColegio_id_fk(Colegio value)

#### setORM_Colegio_id_fk

    public void setORM_Colegio_id_fk(Colegio value)

This method is for internal use only.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`